/**************************************************************************
 *
 * 		  Copyright (c)	1993 Silicon Graphics, Inc.
 *			All Rights Reserved
 *
 *	   THIS	IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SGI
 *
 * The copyright notice above does not evidence any actual of intended
 * publication of such source code, and is an unpublished work by Silicon
 * Graphics, Inc. This material contains CONFIDENTIAL INFORMATION that is
 * the property of Silicon Graphics, Inc. Any use, duplication or
 * disclosure not specifically authorized by Silicon Graphics is strictly
 * prohibited.
 *
 * RESTRICTED RIGHTS LEGEND:
 *
 * Use, duplication or disclosure by the Government is subject to
 * restrictions as set forth in subdivision (c)(1)(ii) of the Rights in
 * Technical Data and Computer Software clause at DFARS 52.227-7013,
 * and/or in similar or successor clauses in the FAR, DOD or NASA FAR
 * Supplement. Unpublished - rights reserved under the Copyright Laws of
 * the United States. Contractor is SILICON GRAPHICS, INC., 2011 N.
 * Shoreline Blvd., Mountain View, CA 94039-7311
 **************************************************************************
 *
 * File: RootWinP.h
 *
 * Description: Private header file for the RootWin widget. Note that the
 *	typedefs for the widget class are defined here rather than in the
 *	main include file. This is because we want to restrict the creation
 *	of this widget to the convenience function. This way we can ensure
 *	that only one widget per window is ever created and that that widget
 *	is given to the user.
 *
 **************************************************************************/


#ident "$Revision: 1.2 $"


#ifndef _PUI_ROOTWINP_H_
#define _PUI_ROOTWINP_H_


#include <X11/CoreP.h>
#include "RootWin.h"


/* Class record info */

extern WidgetClass puiRootWinWidgetClass;


/* Widget reference types */

typedef struct _PuiRootWinClassRec *PuiRootWinWidgetClass;
typedef struct _PuiRootWinRec *PuiRootWinWidget;


/* Class part and record structures */

typedef struct _PuiRootWinClassPart {
    int dummy;			/* Just to keep compiler happy */
} PuiRootWinClassPart;

typedef struct _PuiRootWinClassRec {
    CoreClassPart	core_class;
    PuiRootWinClassPart	puiRootWin_class;
} PuiRootWinClassRec;


/* Instance part and record structures */

typedef struct _PuiRootWinPart {
    Window res_window;		/* Window which this widget represents */
} PuiRootWinPart;

typedef struct _PuiRootWinRec {
    CorePart		core;
    PuiRootWinPart	rootWin;
} PuiRootWinRec;

#endif /* _PUI_ROOTWINP_H_ */
